/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:ClusterInfo.java 1065 2007-07-05 14:01:20Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.carol.cmi.controller.server;

import java.io.Serializable;

import net.jcip.annotations.Immutable;


/**
 * Contain informations on a cluster.
 * @author The new CMI team
 */
@Immutable
public class ClusterInfo implements Serializable {

    /**
     * Id for serializable class.
     */
    private static final long serialVersionUID = 838134850164028970L;

    /**
     * A name of cluster.
     */
    private final String name;

    /**
     * Construct information on a cluster with the given name.
     * @param name a name of cluster
     */
    public ClusterInfo(final String name) {
        this.name = name;
    }

    /**
     * @return the name of this cluster
     */
    public String getName() {
        return name;
    }
}
