/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: carol@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ClusteredDummyRegistry.java 1283 2007-09-21 13:56:59Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.carol.cmi.controller.server;

import net.jcip.annotations.ThreadSafe;

import org.ow2.carol.cmi.annotation.Cluster;
import org.ow2.carol.cmi.annotation.LBPolicy;
import org.ow2.carol.cmi.annotation.LBStrategy;
import org.ow2.carol.cmi.lb.policy.FirstAvailablePolicy;
import org.ow2.carol.cmi.lb.strategy.LocalPreference;

/**
 * An instance of this class identifies a registry that supports load-balancing of its accesses.
 * @author The new CMI team
 */
@Cluster(name="System")
@LBPolicy(FirstAvailablePolicy.class)
@LBStrategy(LocalPreference.class)
@ThreadSafe
public class ClusteredDummyRegistry {
    // Empty because it is to create dummy objects.
}
